package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.salary;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.BpmOABaseRespVO;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.math.BigDecimal;
import java.util.List;

/**
 * @author 符溶馨
 */
@Schema(description = "管理后台 - 薪资付款申请  请求Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOASalaryRespVO extends BpmOABaseRespVO {

    @Schema(description = "申请原因")
    private String reason;

    @Schema(description = "付款公司")
    private Long companyDeptId;

    @Schema(description = "付款公司名称")
    private String companyName;

    @Schema(description = "付款工厂")
    private Long FactoryId;

    @Schema(description = "付款总额")
    private BigDecimal paymentTotal;

    @Schema(description = "支付对象")
    private String paymentRecipient;

    @Schema(description = "流程实例编号")
    private String processInstanceId;

    @Schema(description = "状态-参见 bpm_process_instance_result 枚举")
    private Integer result;

    @Schema(description = "上传文件")
    private List<UploadUserFile> fileItems;
}
