package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierprocurementplan;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 供应商采购计划分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class BpmOASupplierProcurementPlanPageReqVO extends PageParam {

    @Schema(description = "申请人的用户编号", example = "31616")
    private Long userId;

    @Schema(description = "供应商id", example = "123")
    private Long supplierId;

    @Schema(description = "供应商名称", example = "张三")
    private String supplierName;

    @Schema(description = "结算方式(字典值)")
    private Integer settlementMethod;

    @Schema(description = "公司账号", example = "13404")
    private String companyAccount;

    @Schema(description = "银行开户行")
    private String bankAccountOpeningBank;

    @Schema(description = "结算日")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] settlementDate;

    @Schema(description = "申请结果")
    private Integer result;

    @Schema(description = "流程实例的编号", example = "5984")
    private String processInstanceId;

    @Schema(description = "是否上传凭证 0否 1是")
    private Integer certificateFlag;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;

    @Schema(description = "是否结算 0待结算 1已结算（未付款）")
    private Integer settlementFlag;
}
