package cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierprocurementplan;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 供应商采购计划分页 Request VO")
@Data
@ToString(callSuper = true)
public class BpmOASupplierProcurementPlanReqVO {

    @Schema(description = "供应商id", example = "123")
    private Long supplierId;

    @Schema(description = "流程实例的编号", example = "5984")
    private String processInstanceId;

    @Schema(description = "开始时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime beginTime;

    @Schema(description = "结束时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime endTime;

    @Schema(description = "是否结算 0待结算 1已结算（未付款）")
    private Integer settlementFlag;
}
