package cn.iocoder.yudao.module.bpm.dal.dataobject.oa;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;
import cn.iocoder.yudao.module.bpm.controller.admin.oa.vo.supplierprocurementplan.BpmOASupplierProcurementPlanItemRespVO;
import com.baomidou.mybatisplus.annotation.KeySequence;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import lombok.*;

import java.util.List;

/**
 * 供应商采购计划 DO
 *
 * @author 艾楷
 */
@TableName(value = "bpm_oa_supplier_procurement_plan", autoResultMap = true)
@KeySequence("bpm_oa_supplier_procurement_plan_seq")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class BpmOASupplierProcurementPlanDO extends BaseDO {

    /**
     * 主键
     */
    @TableId
    private Long id;
    /**
     * 申请人的用户编号
     */
    private Long userId;

    /**
     * 供应商id
     */
    private Long supplierId;

    /**
     * 供应商名称
     */
    private String supplierName;
    /**
     * 结算方式(字典值)
     */
    private Integer settlementMethod;
    /**
     * 公司账号
     */
    private String companyAccount;
    /**
     * 银行开户行
     */
    private String bankAccountOpeningBank;
    /**
     * 结算日
     */
    private String settlementDate;
    /**
     * 申请结果
     */
    private Integer result;
    /**
     * 备注
     */
    private String remark;
    /**
     * 流程实例的编号
     */
    private String processInstanceId;
    /**
     * 采购凭证
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> purchaseFileItems;

    /**
     * 到货凭证
     */
    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> theArrivalFileItems;

    /**
     * 是否结算 0待结算 1已结算（未付款）
     */
    private Integer settlementFlag;
    /**
     * 子列表
     */
    @TableField(exist = false)
    private List<BpmOASupplierProcurementPlanItemDO> items;

}
