package cn.iocoder.yudao.module.system.controller.admin.commonlyused.vo;

import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 用户常用应用配置 Response VO")
@Data
@ExcelIgnoreUnannotated
public class CommonlyUsedRespVO {

    @Schema(description = "编号", requiredMode = Schema.RequiredMode.REQUIRED, example = "18873")
    @ExcelProperty("编号")
    private Long id;

    @Schema(description = "用户id", example = "2072")
    @ExcelProperty("用户id")
    private Long userId;

    @Schema(description = "类型 1流程 2菜单", example = "1")
    @ExcelProperty("类型 1流程 2菜单")
    private Integer type;

    @Schema(description = "菜单id或流程id 根据具体类型来", example = "11898")
    @ExcelProperty("菜单id或流程id 根据具体类型来")
    private String objectId;

    @Schema(description = "排序(从小到大)")
    @ExcelProperty("排序(从小到大)")
    private Integer sort;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "名称")
    @ExcelProperty("名称")
    private String name;

    @Schema(description = "图标")
    @ExcelProperty("图标")
    private String img;

    @Schema(description = "路由地址")
    @ExcelProperty("路由地址")
    private String routing;
}
