package cn.iocoder.yudao.module.system.controller.admin.supplier.vo;

import cn.iocoder.yudao.framework.common.pojo.UploadUserFile;
import cn.iocoder.yudao.module.system.dal.dataobject.supplier.SupplierProductDO;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.extension.handlers.JacksonTypeHandler;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.*;
import java.util.*;
import java.util.*;
import org.springframework.format.annotation.DateTimeFormat;
import java.time.LocalDateTime;
import com.alibaba.excel.annotation.*;

@Schema(description = "管理后台 - 供应商列表(OA已审核通过后插入) Response VO")
@Data
@ExcelIgnoreUnannotated
public class SupplierRespVO {

    @Schema(description = "主键", requiredMode = Schema.RequiredMode.REQUIRED, example = "17010")
    @ExcelProperty("主键")
    private Long id;

    @Schema(description = "供应商名称", example = "赵六")
    @ExcelProperty("供应商名称")
    private String supplierName;

    @Schema(description = "联系方式(手机号)")
    @ExcelProperty("联系方式(手机号)")
    private String phone;

    @Schema(description = "联系人")
    @ExcelProperty("联系人")
    private String contactPerson;

    @Schema(description = "公司地址")
    @ExcelProperty("公司地址")
    private String companyAddress;

    @Schema(description = "营业执照编号")
    @ExcelProperty("营业执照编号")
    private String businessLicenseNo;

    @Schema(description = "结算日")
    @ExcelProperty("结算日")
    private String settlementDate;

    @Schema(description = "结算方式(字典值)")
    @ExcelProperty("结算方式(字典值)")
    private Integer settlementMethod;

    @Schema(description = "公司账号(银行卡号)", example = "7431")
    @ExcelProperty("公司账号(银行卡号)")
    private String companyAccount;

    @Schema(description = "银行开户行")
    @ExcelProperty("银行开户行")
    private String bankAccountOpeningBank;

    @Schema(description = "状态 0禁用 1启用")
    private Integer status;

    @TableField(typeHandler = JacksonTypeHandler.class)
    private List<UploadUserFile> fileItems;

    @Schema(description = "备注", requiredMode = Schema.RequiredMode.REQUIRED)
    private String remark;

    @Schema(description = "创建时间", requiredMode = Schema.RequiredMode.REQUIRED)
    @ExcelProperty("创建时间")
    private LocalDateTime createTime;

    @Schema(description = "列表", requiredMode = Schema.RequiredMode.REQUIRED)
    private List<SupplierProductRespVO> items;


}
