package cn.iocoder.yudao.module.smartfactory.controller.admin.factoryforklift.vo;

import cn.iocoder.yudao.framework.common.pojo.PageParam;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.List;

import static cn.iocoder.yudao.framework.common.util.date.DateUtils.FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND;

@Schema(description = "管理后台 - 叉车管理分页 Request VO")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class FactoryForkliftPageReqVO extends PageParam {

    @Schema(description = "资产编号")
    private String assetsNo;

    @Schema(description = "工厂id", example = "1056")
    private Long factoryId;

    @Schema(description = "部门id", example = "23631")
    private Long deptId;

    @Schema(description = "叉车名称", example = "芋艿")
    private String name;

    @Schema(description = "厂商")
    private String manufacturer;

    @Schema(description = "型号")
    private String modelNo;

    @Schema(description = "车牌")
    private String licensePlate;

    @Schema(description = "铭牌日期")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private String[] nameplateDate;

    @Schema(description = "用途类型 根据字典值来匹配", example = "1")
    private Integer useType;

    @Schema(description = "创建时间")
    @DateTimeFormat(pattern = FORMAT_YEAR_MONTH_DAY_HOUR_MINUTE_SECOND)
    private LocalDateTime[] createTime;


    @Schema(description = "资产类型ids", example = "1")
    private List<Long> typeIds;
}
