package cn.iocoder.yudao.module.smartfactory.dal.dataobject.factoryforklift;

import lombok.*;
import java.util.*;
import java.time.LocalDateTime;
import java.time.LocalDateTime;
import com.baomidou.mybatisplus.annotation.*;
import cn.iocoder.yudao.framework.mybatis.core.dataobject.BaseDO;

/**
 * 叉车管理 DO
 *
 * @author 姚君
 */
@TableName("sf_factory_forklift")
@KeySequence("sf_factory_forklift_seq") // 用于 Oracle、PostgreSQL、Kingbase、DB2、H2 数据库的主键自增。如果是 MySQL 等数据库，可不写。
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@Builder
@NoArgsConstructor
@AllArgsConstructor
public class FactoryForkliftDO extends BaseDO {

    /**
     * 主键id
     */
    @TableId
    private Long id;
    /**
     * 资产编号
     */
    private String assetsNo;
    /**
     * 工厂id
     */
    private Long factoryId;
    /**
     * 部门id
     */
    private Long deptId;
    /**
     * 叉车名称
     */
    private String name;
    /**
     * 厂商
     */
    private String manufacturer;
    /**
     * 型号
     */
    private String modelNo;
    /**
     * 车牌
     */
    private String licensePlate;
    /**
     * 铭牌日期
     */
    private String nameplateDate;
    /**
     * 用途类型 根据字典值来匹配
     */
    private Integer useType;

}